Subject: bug#1285: 23.0.60; minibuffer-complete and `C-x d'

From: Stefan Monnier <[email-masked]>
Date: Thu, 06 Nov 2008 21:30:01 -0500

>> When I type `C-x d <something> TAB', where `<something>' is any sequence
>> of characters, then if `<something>' can complete to more than one
>> directory name, then the *Completions* buffer displays only those
>> directory names, but no non-directory file names.  But if `<something>'
>> can complete to a non-directory file name, then it does.

> I think the new completion behavior for C-x d is well-intentioned, but
> too complicated.  Hence the user confusion reported here.  Stefan: WDYT
> about switching back to the old version of dired-read-dir-and-switches?

How 'bout keeping the completion behavior as is, but changing the
*Completions* buffer to list all files?

        Stefan